11 Replies Latest reply: Jul 30, 2011 1:00 PM by Neyzilla
The Beach G Level 1 Level 1 (0 points)

Hi there,

 

I have just recently bought a game off the app store, and I come to find out that I need to update my Ipod Touch which is A1288 (2nd gen.) I believe . My current software is 3.1.3 so it should update but when i update from my mac computer it says that I already have the latest update or in exact words it says "This version of itunes (9.1.2) is the current version". I need to have 4.1 for the game and somehow I'm not understanding what's going wrong.

 

Please help, and thank you.

 

Message was edited by: The Beach G


iPod touch